Verify Email OTP
curl --request POST \
--url https://api.wearepion.com/app/{appId}/whitelabel/verifications/{verificationId}/email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.wearepion.com/app/{appId}/whitelabel/verifications/{verificationId}/email/verify"
payload = { "code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.wearepion.com/app/{appId}/whitelabel/verifications/{verificationId}/email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appId": "<string>",
"status": "success",
"stage": "success",
"territory": "<string>",
"consumerGroup": "student",
"availableMethods": [
"portal"
],
"institutionId": "<string>",
"institutionName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresOn": "2023-12-25",
"beansId": "<string>"
}{
"error": {
"title": "unauthorised"
}
}{
"error": {
"title": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Beans iD Whitelabel API
Verify Email OTP
Verifies the one-time passcode sent to the user’s email.
Verify Email OTP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
6Response
Email OTP verified successfully
Available options:
success, pending, failed, expired Enum of granular verification stages
Available options:
success, failed:otp_failed, failed:too_many_attempts, phone_number, phone_number_otp, select_institution, select_verification_method, pending_verification:email, pending_verification:manual, pending_verification:portal, rejected_verification:email, rejected_verification:manual, rejected_verification:portal Pattern:
^[A-Z]{2}$Enum of available consumer groups
Available options:
student, graduate, healthcare, military, first-responder, charity-worker, teacher, parent, low-income, disability Enum of available verification methods
Available options:
portal, manual, email, inbound_email YYYY-MM-DD
Internal Pion user ID.
Was this page helpful?